Extending Qt Creator Manual | IMode

Extending Qt Creator Manual 4.5.2

# IMode Class

(Core::IMode)

Inherits: | Core::IContext

- List of all members, including inherited members

## Properties

- enabled : bool

## Public Functions

| IMode(QObject *parent = 0)
| ~IMode()
QString | displayName() const
QIcon | icon() const
Id | id() const
bool | isEnabled() const
QMenu * | menu() const
int | priority() const
void | setDisplayName(const QString &displayName)
void | setEnabled(bool enabled)
void | setIcon(const QIcon &icon)
void | setId(Id id)
void | setMenu(QMenu *menu)
void | setPriority(int priority)

- 6 public functions inherited from Core::IContext

## Signals

void | enabledStateChanged(bool enabled)

## Property Documentation

### enabled : bool

Access functions:

bool | isEnabled() const
void | setEnabled(bool enabled)

## Member Function Documentation

### IMode::IMode(QObject *parent = 0)

Default constructs an instance of IMode.

### IMode::~IMode()

Destroys the instance of IMode.

### QString IMode::displayName() const

See also setDisplayName().

### `[signal]` void IMode::enabledStateChanged(bool enabled)

### QIcon IMode::icon() const

See also setIcon().

### Id IMode::id() const

See also setId().

### QMenu *IMode::menu() const

See also setMenu().

### int IMode::priority() const

See also setPriority().

### void IMode::setDisplayName(const QString &displayName)

See also displayName().

### void IMode::setIcon(const QIcon &icon)

See also icon().

### void IMode::setId(Id id)

See also id().

### void IMode::setMenu(QMenu *menu)

See also menu().

### void IMode::setPriority(int priority)

See also priority().